package com.mortals.xhx.module.site.model;

import java.util.List;

/**
 * 站点事项查询对象
 *
 * @author zxfei
 * @date 2024-03-09
 */
public class SiteMatterQuery extends SiteMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点ID排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 事项ID */
    private Long matterIdStart;

    /** 结束 事项ID */
    private Long matterIdEnd;

    /** 增加 事项ID */
    private Long matterIdIncrement;

    /** 事项ID列表 */
    private List <Long> matterIdList;

    /** 事项ID排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门ID排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 事项类型 */
    private List<String> eventTypeShowList;

    /** 事项类型排除列表 */
    private List <String> eventTypeShowNotList;
    /** 开始 事项来源 */
    private Integer sourceStart;

    /** 结束 事项来源 */
    private Integer sourceEnd;

    /** 增加 事项来源 */
    private Integer sourceIncrement;

    /** 事项来源列表 */
    private List <Integer> sourceList;

    /** 事项来源排除列表 */
    private List <Integer> sourceNotList;

    /** 开始 热门(0.否,1.是) */
    private Integer hotStart;

    /** 结束 热门(0.否,1.是) */
    private Integer hotEnd;

    /** 增加 热门(0.否,1.是) */
    private Integer hotIncrement;

    /** 热门(0.否,1.是)列表 */
    private List <Integer> hotList;

    /** 热门(0.否,1.是)排除列表 */
    private List <Integer> hotNotList;

    /** 开始 显示(0.否,1.是) */
    private Integer displayStart;

    /** 结束 显示(0.否,1.是) */
    private Integer displayEnd;

    /** 增加 显示(0.否,1.是) */
    private Integer displayIncrement;

    /** 显示(0.否,1.是)列表 */
    private List <Integer> displayList;

    /** 显示(0.否,1.是)排除列表 */
    private List <Integer> displayNotList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门编号排除列表 */
    private List <String> deptCodeNotList;
    /** 开始 代办帮办(0.否,1.是) */
    private Integer agentStart;

    /** 结束 代办帮办(0.否,1.是) */
    private Integer agentEnd;

    /** 增加 代办帮办(0.否,1.是) */
    private Integer agentIncrement;

    /** 代办帮办(0.否,1.是)列表 */
    private List <Integer> agentList;

    /** 代办帮办(0.否,1.是)排除列表 */
    private List <Integer> agentNotList;

    /** 代办姓名 */
    private List<String> agentNameList;

    /** 代办姓名排除列表 */
    private List <String> agentNameNotList;
    /** 代办电话 */
    private List<String> agentPhoneList;

    /** 代办电话排除列表 */
    private List <String> agentPhoneNotList;
    /** 职务 */
    private List<String> agentPostList;

    /** 职务排除列表 */
    private List <String> agentPostNotList;
    /** 开始 大厅事项入驻(0.否,1.是) */
    private Integer hallCheckInStart;

    /** 结束 大厅事项入驻(0.否,1.是) */
    private Integer hallCheckInEnd;

    /** 增加 大厅事项入驻(0.否,1.是) */
    private Integer hallCheckInIncrement;

    /** 大厅事项入驻(0.否,1.是)列表 */
    private List <Integer> hallCheckInList;

    /** 大厅事项入驻(0.否,1.是)排除列表 */
    private List <Integer> hallCheckInNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteMatterQuery> andConditionList;

    public SiteMatterQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点ID
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 事项ID
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项ID
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项ID
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项ID
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项ID
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项ID
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项ID
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项ID
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项ID
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项ID
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 开始 部门ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门ID
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门ID
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 事项类型
     * @return eventTypeShowList
     */
    public List<String> getEventTypeShowList(){
        return this.eventTypeShowList;
    }

    /**
     * 设置 事项类型
     * @param eventTypeShowList
     */
    public void setEventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
    }

    /**
     * 获取 事项类型
     * @return eventTypeShowNotList
     */
    public List<String> getEventTypeShowNotList(){
        return this.eventTypeShowNotList;
    }

    /**
     * 设置 事项类型
     * @param eventTypeShowNotList
     */
    public void setEventTypeShowNotList(List<String> eventTypeShowNotList){
        this.eventTypeShowNotList = eventTypeShowNotList;
    }

    /**
     * 获取 开始 事项来源
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 事项来源
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 事项来源
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 开始 热门(0.否,1.是)
     * @return hotStart
     */
    public Integer getHotStart(){
        return this.hotStart;
    }

    /**
     * 设置 开始 热门(0.否,1.是)
     * @param hotStart
     */
    public void setHotStart(Integer hotStart){
        this.hotStart = hotStart;
    }

    /**
     * 获取 结束 热门(0.否,1.是)
     * @return $hotEnd
     */
    public Integer getHotEnd(){
        return this.hotEnd;
    }

    /**
     * 设置 结束 热门(0.否,1.是)
     * @param hotEnd
     */
    public void setHotEnd(Integer hotEnd){
        this.hotEnd = hotEnd;
    }

    /**
     * 获取 增加 热门(0.否,1.是)
     * @return hotIncrement
     */
    public Integer getHotIncrement(){
        return this.hotIncrement;
    }

    /**
     * 设置 增加 热门(0.否,1.是)
     * @param hotIncrement
     */
    public void setHotIncrement(Integer hotIncrement){
        this.hotIncrement = hotIncrement;
    }

    /**
     * 获取 热门(0.否,1.是)
     * @return hotList
     */
    public List<Integer> getHotList(){
        return this.hotList;
    }

    /**
     * 设置 热门(0.否,1.是)
     * @param hotList
     */
    public void setHotList(List<Integer> hotList){
        this.hotList = hotList;
    }

    /**
     * 获取 热门(0.否,1.是)
     * @return hotNotList
     */
    public List<Integer> getHotNotList(){
        return this.hotNotList;
    }

    /**
     * 设置 热门(0.否,1.是)
     * @param hotNotList
     */
    public void setHotNotList(List<Integer> hotNotList){
        this.hotNotList = hotNotList;
    }


    /**
     * 获取 开始 显示(0.否,1.是)
     * @return displayStart
     */
    public Integer getDisplayStart(){
        return this.displayStart;
    }

    /**
     * 设置 开始 显示(0.否,1.是)
     * @param displayStart
     */
    public void setDisplayStart(Integer displayStart){
        this.displayStart = displayStart;
    }

    /**
     * 获取 结束 显示(0.否,1.是)
     * @return $displayEnd
     */
    public Integer getDisplayEnd(){
        return this.displayEnd;
    }

    /**
     * 设置 结束 显示(0.否,1.是)
     * @param displayEnd
     */
    public void setDisplayEnd(Integer displayEnd){
        this.displayEnd = displayEnd;
    }

    /**
     * 获取 增加 显示(0.否,1.是)
     * @return displayIncrement
     */
    public Integer getDisplayIncrement(){
        return this.displayIncrement;
    }

    /**
     * 设置 增加 显示(0.否,1.是)
     * @param displayIncrement
     */
    public void setDisplayIncrement(Integer displayIncrement){
        this.displayIncrement = displayIncrement;
    }

    /**
     * 获取 显示(0.否,1.是)
     * @return displayList
     */
    public List<Integer> getDisplayList(){
        return this.displayList;
    }

    /**
     * 设置 显示(0.否,1.是)
     * @param displayList
     */
    public void setDisplayList(List<Integer> displayList){
        this.displayList = displayList;
    }

    /**
     * 获取 显示(0.否,1.是)
     * @return displayNotList
     */
    public List<Integer> getDisplayNotList(){
        return this.displayNotList;
    }

    /**
     * 设置 显示(0.否,1.是)
     * @param displayNotList
     */
    public void setDisplayNotList(List<Integer> displayNotList){
        this.displayNotList = displayNotList;
    }


    /**
     * 获取 部门编号
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }

    /**
     * 获取 部门编号
     * @return deptCodeNotList
     */
    public List<String> getDeptCodeNotList(){
        return this.deptCodeNotList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeNotList
     */
    public void setDeptCodeNotList(List<String> deptCodeNotList){
        this.deptCodeNotList = deptCodeNotList;
    }

    /**
     * 获取 开始 代办帮办(0.否,1.是)
     * @return agentStart
     */
    public Integer getAgentStart(){
        return this.agentStart;
    }

    /**
     * 设置 开始 代办帮办(0.否,1.是)
     * @param agentStart
     */
    public void setAgentStart(Integer agentStart){
        this.agentStart = agentStart;
    }

    /**
     * 获取 结束 代办帮办(0.否,1.是)
     * @return $agentEnd
     */
    public Integer getAgentEnd(){
        return this.agentEnd;
    }

    /**
     * 设置 结束 代办帮办(0.否,1.是)
     * @param agentEnd
     */
    public void setAgentEnd(Integer agentEnd){
        this.agentEnd = agentEnd;
    }

    /**
     * 获取 增加 代办帮办(0.否,1.是)
     * @return agentIncrement
     */
    public Integer getAgentIncrement(){
        return this.agentIncrement;
    }

    /**
     * 设置 增加 代办帮办(0.否,1.是)
     * @param agentIncrement
     */
    public void setAgentIncrement(Integer agentIncrement){
        this.agentIncrement = agentIncrement;
    }

    /**
     * 获取 代办帮办(0.否,1.是)
     * @return agentList
     */
    public List<Integer> getAgentList(){
        return this.agentList;
    }

    /**
     * 设置 代办帮办(0.否,1.是)
     * @param agentList
     */
    public void setAgentList(List<Integer> agentList){
        this.agentList = agentList;
    }

    /**
     * 获取 代办帮办(0.否,1.是)
     * @return agentNotList
     */
    public List<Integer> getAgentNotList(){
        return this.agentNotList;
    }

    /**
     * 设置 代办帮办(0.否,1.是)
     * @param agentNotList
     */
    public void setAgentNotList(List<Integer> agentNotList){
        this.agentNotList = agentNotList;
    }


    /**
     * 获取 代办姓名
     * @return agentNameList
     */
    public List<String> getAgentNameList(){
        return this.agentNameList;
    }

    /**
     * 设置 代办姓名
     * @param agentNameList
     */
    public void setAgentNameList(List<String> agentNameList){
        this.agentNameList = agentNameList;
    }

    /**
     * 获取 代办姓名
     * @return agentNameNotList
     */
    public List<String> getAgentNameNotList(){
        return this.agentNameNotList;
    }

    /**
     * 设置 代办姓名
     * @param agentNameNotList
     */
    public void setAgentNameNotList(List<String> agentNameNotList){
        this.agentNameNotList = agentNameNotList;
    }

    /**
     * 获取 代办电话
     * @return agentPhoneList
     */
    public List<String> getAgentPhoneList(){
        return this.agentPhoneList;
    }

    /**
     * 设置 代办电话
     * @param agentPhoneList
     */
    public void setAgentPhoneList(List<String> agentPhoneList){
        this.agentPhoneList = agentPhoneList;
    }

    /**
     * 获取 代办电话
     * @return agentPhoneNotList
     */
    public List<String> getAgentPhoneNotList(){
        return this.agentPhoneNotList;
    }

    /**
     * 设置 代办电话
     * @param agentPhoneNotList
     */
    public void setAgentPhoneNotList(List<String> agentPhoneNotList){
        this.agentPhoneNotList = agentPhoneNotList;
    }

    /**
     * 获取 职务
     * @return agentPostList
     */
    public List<String> getAgentPostList(){
        return this.agentPostList;
    }

    /**
     * 设置 职务
     * @param agentPostList
     */
    public void setAgentPostList(List<String> agentPostList){
        this.agentPostList = agentPostList;
    }

    /**
     * 获取 职务
     * @return agentPostNotList
     */
    public List<String> getAgentPostNotList(){
        return this.agentPostNotList;
    }

    /**
     * 设置 职务
     * @param agentPostNotList
     */
    public void setAgentPostNotList(List<String> agentPostNotList){
        this.agentPostNotList = agentPostNotList;
    }

    /**
     * 获取 开始 大厅事项入驻(0.否,1.是)
     * @return hallCheckInStart
     */
    public Integer getHallCheckInStart(){
        return this.hallCheckInStart;
    }

    /**
     * 设置 开始 大厅事项入驻(0.否,1.是)
     * @param hallCheckInStart
     */
    public void setHallCheckInStart(Integer hallCheckInStart){
        this.hallCheckInStart = hallCheckInStart;
    }

    /**
     * 获取 结束 大厅事项入驻(0.否,1.是)
     * @return $hallCheckInEnd
     */
    public Integer getHallCheckInEnd(){
        return this.hallCheckInEnd;
    }

    /**
     * 设置 结束 大厅事项入驻(0.否,1.是)
     * @param hallCheckInEnd
     */
    public void setHallCheckInEnd(Integer hallCheckInEnd){
        this.hallCheckInEnd = hallCheckInEnd;
    }

    /**
     * 获取 增加 大厅事项入驻(0.否,1.是)
     * @return hallCheckInIncrement
     */
    public Integer getHallCheckInIncrement(){
        return this.hallCheckInIncrement;
    }

    /**
     * 设置 增加 大厅事项入驻(0.否,1.是)
     * @param hallCheckInIncrement
     */
    public void setHallCheckInIncrement(Integer hallCheckInIncrement){
        this.hallCheckInIncrement = hallCheckInIncrement;
    }

    /**
     * 获取 大厅事项入驻(0.否,1.是)
     * @return hallCheckInList
     */
    public List<Integer> getHallCheckInList(){
        return this.hallCheckInList;
    }

    /**
     * 设置 大厅事项入驻(0.否,1.是)
     * @param hallCheckInList
     */
    public void setHallCheckInList(List<Integer> hallCheckInList){
        this.hallCheckInList = hallCheckInList;
    }

    /**
     * 获取 大厅事项入驻(0.否,1.是)
     * @return hallCheckInNotList
     */
    public List<Integer> getHallCheckInNotList(){
        return this.hallCheckInNotList;
    }

    /**
     * 设置 大厅事项入驻(0.否,1.是)
     * @param hallCheckInNotList
     */
    public void setHallCheckInNotList(List<Integer> hallCheckInNotList){
        this.hallCheckInNotList = hallCheckInNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public SiteMatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public SiteMatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public SiteMatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public SiteMatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public SiteMatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public SiteMatterQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public SiteMatterQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public SiteMatterQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public SiteMatterQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public SiteMatterQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public SiteMatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public SiteMatterQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public SiteMatterQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public SiteMatterQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  事项ID
     * @param matterId
     */
    public SiteMatterQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项ID
     * @param matterIdStart
     */
    public SiteMatterQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项ID
     * @param matterIdEnd
     */
    public SiteMatterQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项ID
     * @param matterIdIncrement
     */
    public SiteMatterQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项ID
     * @param matterIdList
     */
    public SiteMatterQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项ID
     * @param matterIdNotList
     */
    public SiteMatterQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public SiteMatterQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public SiteMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public SiteMatterQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public SiteMatterQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }

    /**
     * 设置  部门ID
     * @param deptId
     */
    public SiteMatterQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public SiteMatterQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public SiteMatterQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public SiteMatterQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public SiteMatterQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdNotList
     */
    public SiteMatterQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public SiteMatterQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public SiteMatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 事项类型
     * @param eventTypeShow
     */
    public SiteMatterQuery eventTypeShow(String eventTypeShow){
        setEventTypeShow(eventTypeShow);
        return this;
    }

    /**
     * 设置 事项类型
     * @param eventTypeShowList
     */
    public SiteMatterQuery eventTypeShowList(List<String> eventTypeShowList){
        this.eventTypeShowList = eventTypeShowList;
        return this;
    }

    /**
     * 设置  事项来源
     * @param source
     */
    public SiteMatterQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源
     * @param sourceStart
     */
    public SiteMatterQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源
     * @param sourceEnd
     */
    public SiteMatterQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源
     * @param sourceIncrement
     */
    public SiteMatterQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源
     * @param sourceList
     */
    public SiteMatterQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 事项来源
     * @param sourceNotList
     */
    public SiteMatterQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }

    /**
     * 设置  热门(0.否,1.是)
     * @param hot
     */
    public SiteMatterQuery hot(Integer hot){
        setHot(hot);
        return this;
    }

    /**
     * 设置 开始 热门(0.否,1.是)
     * @param hotStart
     */
    public SiteMatterQuery hotStart(Integer hotStart){
        this.hotStart = hotStart;
        return this;
    }

    /**
     * 设置 结束 热门(0.否,1.是)
     * @param hotEnd
     */
    public SiteMatterQuery hotEnd(Integer hotEnd){
        this.hotEnd = hotEnd;
        return this;
    }

    /**
     * 设置 增加 热门(0.否,1.是)
     * @param hotIncrement
     */
    public SiteMatterQuery hotIncrement(Integer hotIncrement){
        this.hotIncrement = hotIncrement;
        return this;
    }

    /**
     * 设置 热门(0.否,1.是)
     * @param hotList
     */
    public SiteMatterQuery hotList(List<Integer> hotList){
        this.hotList = hotList;
        return this;
    }

    /**
     * 设置 热门(0.否,1.是)
     * @param hotNotList
     */
    public SiteMatterQuery hotNotList(List<Integer> hotNotList){
        this.hotNotList = hotNotList;
        return this;
    }

    /**
     * 设置  显示(0.否,1.是)
     * @param display
     */
    public SiteMatterQuery display(Integer display){
        setDisplay(display);
        return this;
    }

    /**
     * 设置 开始 显示(0.否,1.是)
     * @param displayStart
     */
    public SiteMatterQuery displayStart(Integer displayStart){
        this.displayStart = displayStart;
        return this;
    }

    /**
     * 设置 结束 显示(0.否,1.是)
     * @param displayEnd
     */
    public SiteMatterQuery displayEnd(Integer displayEnd){
        this.displayEnd = displayEnd;
        return this;
    }

    /**
     * 设置 增加 显示(0.否,1.是)
     * @param displayIncrement
     */
    public SiteMatterQuery displayIncrement(Integer displayIncrement){
        this.displayIncrement = displayIncrement;
        return this;
    }

    /**
     * 设置 显示(0.否,1.是)
     * @param displayList
     */
    public SiteMatterQuery displayList(List<Integer> displayList){
        this.displayList = displayList;
        return this;
    }

    /**
     * 设置 显示(0.否,1.是)
     * @param displayNotList
     */
    public SiteMatterQuery displayNotList(List<Integer> displayNotList){
        this.displayNotList = displayNotList;
        return this;
    }


    /**
     * 设置 部门编号
     * @param deptCode
     */
    public SiteMatterQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public SiteMatterQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }

    /**
     * 设置  代办帮办(0.否,1.是)
     * @param agent
     */
    public SiteMatterQuery agent(Integer agent){
        setAgent(agent);
        return this;
    }

    /**
     * 设置 开始 代办帮办(0.否,1.是)
     * @param agentStart
     */
    public SiteMatterQuery agentStart(Integer agentStart){
        this.agentStart = agentStart;
        return this;
    }

    /**
     * 设置 结束 代办帮办(0.否,1.是)
     * @param agentEnd
     */
    public SiteMatterQuery agentEnd(Integer agentEnd){
        this.agentEnd = agentEnd;
        return this;
    }

    /**
     * 设置 增加 代办帮办(0.否,1.是)
     * @param agentIncrement
     */
    public SiteMatterQuery agentIncrement(Integer agentIncrement){
        this.agentIncrement = agentIncrement;
        return this;
    }

    /**
     * 设置 代办帮办(0.否,1.是)
     * @param agentList
     */
    public SiteMatterQuery agentList(List<Integer> agentList){
        this.agentList = agentList;
        return this;
    }

    /**
     * 设置 代办帮办(0.否,1.是)
     * @param agentNotList
     */
    public SiteMatterQuery agentNotList(List<Integer> agentNotList){
        this.agentNotList = agentNotList;
        return this;
    }


    /**
     * 设置 代办姓名
     * @param agentName
     */
    public SiteMatterQuery agentName(String agentName){
        setAgentName(agentName);
        return this;
    }

    /**
     * 设置 代办姓名
     * @param agentNameList
     */
    public SiteMatterQuery agentNameList(List<String> agentNameList){
        this.agentNameList = agentNameList;
        return this;
    }


    /**
     * 设置 代办电话
     * @param agentPhone
     */
    public SiteMatterQuery agentPhone(String agentPhone){
        setAgentPhone(agentPhone);
        return this;
    }

    /**
     * 设置 代办电话
     * @param agentPhoneList
     */
    public SiteMatterQuery agentPhoneList(List<String> agentPhoneList){
        this.agentPhoneList = agentPhoneList;
        return this;
    }


    /**
     * 设置 职务
     * @param agentPost
     */
    public SiteMatterQuery agentPost(String agentPost){
        setAgentPost(agentPost);
        return this;
    }

    /**
     * 设置 职务
     * @param agentPostList
     */
    public SiteMatterQuery agentPostList(List<String> agentPostList){
        this.agentPostList = agentPostList;
        return this;
    }

    /**
     * 设置  大厅事项入驻(0.否,1.是)
     * @param hallCheckIn
     */
    public SiteMatterQuery hallCheckIn(Integer hallCheckIn){
        setHallCheckIn(hallCheckIn);
        return this;
    }

    /**
     * 设置 开始 大厅事项入驻(0.否,1.是)
     * @param hallCheckInStart
     */
    public SiteMatterQuery hallCheckInStart(Integer hallCheckInStart){
        this.hallCheckInStart = hallCheckInStart;
        return this;
    }

    /**
     * 设置 结束 大厅事项入驻(0.否,1.是)
     * @param hallCheckInEnd
     */
    public SiteMatterQuery hallCheckInEnd(Integer hallCheckInEnd){
        this.hallCheckInEnd = hallCheckInEnd;
        return this;
    }

    /**
     * 设置 增加 大厅事项入驻(0.否,1.是)
     * @param hallCheckInIncrement
     */
    public SiteMatterQuery hallCheckInIncrement(Integer hallCheckInIncrement){
        this.hallCheckInIncrement = hallCheckInIncrement;
        return this;
    }

    /**
     * 设置 大厅事项入驻(0.否,1.是)
     * @param hallCheckInList
     */
    public SiteMatterQuery hallCheckInList(List<Integer> hallCheckInList){
        this.hallCheckInList = hallCheckInList;
        return this;
    }

    /**
     * 设置 大厅事项入驻(0.否,1.是)
     * @param hallCheckInNotList
     */
    public SiteMatterQuery hallCheckInNotList(List<Integer> hallCheckInNotList){
        this.hallCheckInNotList = hallCheckInNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SiteMatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SiteMatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SiteMatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SiteMatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SiteMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SiteMatterQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SiteMatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SiteMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SiteMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SiteMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}